Skip to content
Start here

Get an email scanner rule

client.ZeroTrust.DLP.Email.Rules.Get(ctx, ruleID, query) (*DLPEmailRuleGetResponse, error)
GET/accounts/{account_id}/dlp/email/rules/{rule_id}

Gets detailed configuration for a specific DLP email scanning rule, including detection patterns and actions.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust ReadZero Trust Write
ParametersExpand Collapse
ruleID string
formatuuid
query DLPEmailRuleGetParams
AccountID param.Field[string]
ReturnsExpand Collapse
type DLPEmailRuleGetResponse struct{…}
Action DLPEmailRuleGetResponseAction
Action DLPEmailRuleGetResponseActionAction
Message stringoptional
Conditions []DLPEmailRuleGetResponseCondition

Triggered if all conditions match.

Operator DLPEmailRuleGetResponseConditionsOperator
One of the following:
const DLPEmailRuleGetResponseConditionsOperatorInList DLPEmailRuleGetResponseConditionsOperator = "InList"
const DLPEmailRuleGetResponseConditionsOperatorNotInList DLPEmailRuleGetResponseConditionsOperator = "NotInList"
const DLPEmailRuleGetResponseConditionsOperatorMatchRegex DLPEmailRuleGetResponseConditionsOperator = "MatchRegex"
const DLPEmailRuleGetResponseConditionsOperatorNotMatchRegex DLPEmailRuleGetResponseConditionsOperator = "NotMatchRegex"
Selector DLPEmailRuleGetResponseConditionsSelector
One of the following:
const DLPEmailRuleGetResponseConditionsSelectorRecipients DLPEmailRuleGetResponseConditionsSelector = "Recipients"
const DLPEmailRuleGetResponseConditionsSelectorSender DLPEmailRuleGetResponseConditionsSelector = "Sender"
const DLPEmailRuleGetResponseConditionsSelectorDLPProfiles DLPEmailRuleGetResponseConditionsSelector = "DLPProfiles"
Value DLPEmailRuleGetResponseConditionsValueUnion
One of the following:
type DLPEmailRuleGetResponseConditionsValueArray []string
UnionString
CreatedAt Time
formatdate-time
Enabled bool
Name string
Priority int64
formatint32
minimum0
RuleID string
formatuuid
UpdatedAt Time
formatdate-time
Description stringoptional

Get an email scanner rule

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/zero_trust"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  rule, err := client.ZeroTrust.DLP.Email.Rules.Get(
    context.TODO(),
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    zero_trust.DLPEmailRuleGetParams{
      AccountID: cloudflare.F("account_id"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", rule.RuleID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "action": {
      "action": "Block",
      "message": "message"
    },
    "conditions": [
      {
        "operator": "InList",
        "selector": "Recipients",
        "value": [
          "string"
        ]
      }
    ],
    "created_at": "2019-12-27T18:11:19.117Z",
    "enabled": true,
    "name": "name",
    "priority": 0,
    "rule_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "description": "description"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "action": {
      "action": "Block",
      "message": "message"
    },
    "conditions": [
      {
        "operator": "InList",
        "selector": "Recipients",
        "value": [
          "string"
        ]
      }
    ],
    "created_at": "2019-12-27T18:11:19.117Z",
    "enabled": true,
    "name": "name",
    "priority": 0,
    "rule_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "description": "description"
  }
}